package de.fhw.komponentenarchitekturen.knauf.stateless;

import javax.ejb.EJB;

/**
 * Standalone-Application-Client for the GeometricModel
 * stateless session bean.
 * 
 * @author Wolfgang Knauf
 * 
 */
public class GeometricModelApplicationClient
{
  /**Remote interface of the EJB is injected by the container.
   */
  @EJB()
  public static GeometricModelRemote geometricModel;
  
  /**
   * Main method. Performs a EJB access and finishes
   * 
   * @param args Command line arguments.
   */
  public static void main(String[] args)
  {
    try
    {
      //Call the business methods of the injected EJB:
      double dblVolume = geometricModel.computeCuboidVolume(10, 5, 7);
      double dblSurface = geometricModel.computeCuboidSurface(10, 5, 7);

      System.out.println("Calculated volume: " + dblVolume + ", surface: " + dblSurface);
    }
    catch (Exception ex)
    {
      ex.printStackTrace();
    }
  }
}
